CFFTSlopeClassifier Class Reference
Perfusion Analysis

Curve classifier for heart perfusion data. More...

`#include <mia/core/fftslopeclassifier.hh>`

## Public Types

typedef std::vector< std::vector< float > > | Columns
| typedef to define the matrix of curves

## Public Member Functions

| CFFTSlopeClassifier ()
| CFFTSlopeClassifier (const CFFTSlopeClassifier &other)
| CFFTSlopeClassifier (const Columns &m, float breath_rate, bool mean_stripped=false)
int | get_baseline_idx () const
int | get_LV_idx () const
int | get_LV_peak () const
float | get_max_slope_length_diff () const
std::vector< int > | get_mixing_indices () const
int | get_perfusion_idx () const
std::vector< int > | get_periodic_indices () const
int | get_RV_idx () const
int | get_RV_peak () const
CFFTSlopeClassifier & | operator= (const CFFTSlopeClassifier &other)
| assignment operator
| ~CFFTSlopeClassifier ()

## Detailed Description

Curve classifier for heart perfusion data.

Classify a set of curves. This class is mostly usefull for the analysis of series of perfusion images that are aquired using free breathing.

Definition at line 38 of file fftslopeclassifier.hh.

## Member Typedef Documentation

## Columns

typedef std::vector<std::vector<float> > CFFTSlopeClassifier::Columns

typedef to define the matrix of curves

Definition at line 42 of file fftslopeclassifier.hh.

## Constructor & Destructor Documentation

## CFFTSlopeClassifier() [1/3]

CFFTSlopeClassifier::CFFTSlopeClassifier | ( | const Columns & | m,
|  | float | breath_rate,
|  | bool | mean_stripped = false )

Initialize the classifier with the given curves and the information whether the means were stripped

Parameters

  m | matrix of curves
  breath_rate | approximate frames per breathing cycle
  mean_stripped |

Referenced by CFFTSlopeClassifier(), and operator=().

## CFFTSlopeClassifier() [2/3]

CFFTSlopeClassifier::CFFTSlopeClassifier | ( | const CFFTSlopeClassifier & | other | ) |

copy constructor

References CFFTSlopeClassifier().

## CFFTSlopeClassifier() [3/3]

CFFTSlopeClassifier::CFFTSlopeClassifier | ( |  | ) |

## ~CFFTSlopeClassifier()

CFFTSlopeClassifier::~CFFTSlopeClassifier | ( |  | ) |

## Member Function Documentation

## get_baseline_idx()

int CFFTSlopeClassifier::get_baseline_idx | ( |  | ) | const

Returns
  the index of the baseline curve or -1 if not identified

## get_LV_idx()

int CFFTSlopeClassifier::get_LV_idx | ( |  | ) | const

Returns
  the index of the LV enhancement curve or -1 if not identified

## get_LV_peak()

int CFFTSlopeClassifier::get_LV_peak | ( |  | ) | const

Returns
  the time index of the LV peak image or -1 if not identified

## get_max_slope_length_diff()

float CFFTSlopeClassifier::get_max_slope_length_diff | ( |  | ) | const

Returns
  the absolute difference between the length of the longest and second longest curve in the list

## get_mixing_indices()

std::vector< int > CFFTSlopeClassifier::get_mixing_indices | ( |  | ) | const

Returns
  all the indices that are not considered to be periodic curves

## get_perfusion_idx()

int CFFTSlopeClassifier::get_perfusion_idx | ( |  | ) | const

Returns
  the index of the perfusion curve or -1 if not identified

## get_periodic_indices()

std::vector< int > CFFTSlopeClassifier::get_periodic_indices | ( |  | ) | const

Returns
  the indices of periodic curves or an empty vector if none was found

## get_RV_idx()

int CFFTSlopeClassifier::get_RV_idx | ( |  | ) | const

Returns
  the index of the RV enhancement curve or -1 if not identified

## get_RV_peak()

int CFFTSlopeClassifier::get_RV_peak | ( |  | ) | const

Returns
  the time index of the RV peak image or -1 if not identified

## operator=()

CFFTSlopeClassifier & CFFTSlopeClassifier::operator= | ( | const CFFTSlopeClassifier & | other | ) |

assignment operator

References CFFTSlopeClassifier().

The documentation for this class was generated from the following file:

- fftslopeclassifier.hh